/*jslint devel: true, node: true, bitwise: false, debug: false, eqeq: false,
evil: false, forin: false, newcap: false, nomen: false, plusplus: false,
regexp: false, sub: false, vars: false, undef: false, unused: false,
white: false, quotmark: single, indent: 2, maxlen: 80 */

/*global $, Alloy, alert, Ti, OS_ANDROID, OS_IOS, _, Backbone*/

'use strict';

exports.addTextFieldKeyboardToolbar = function (textFieldView) {
  var toolbarDone = Ti.UI.createButton({
    systemButton: Ti.UI.iPhone.SystemButton.DONE
  }),

  flexSpace = Ti.UI.createButton({
    systemButton: Ti.UI.iPhone.SystemButton.FLEXIBLE_SPACE
  });
   
  toolbarDone.addEventListener('click', function () {
    textFieldView.blur();
  });
   
  textFieldView.setKeyboardToolbar([flexSpace, toolbarDone]);
};
